<?php
/*
webDevStudio
Copyright (C) 2005 Alberto Martnez Fernndez (albertinho_2000@hotmail.com)
                   Israel Ortiz Flores (i_ortiz_flores@hotmail.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

	require("../authentication.php");
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>webDevStudio :: Create a new project</title>
<link href="../style.css" rel="stylesheet" type="text/css">

<SCRIPT LANGUAGE="JavaScript" type="text/javascript">
	function enviar()
	{
		document.form1.submit();
	}

	function volver()
	{
		history.back();
	}
</SCRIPT>
</head>
<body>
<?php
	include("head_project.php")
?>
<?php
//Comprobamos si el formulario est correctamente rellenado:
$name="";
$description="";
$languaje="";
$platform="";
$application="";

if (isset($_POST['name'])) $name=$_POST['name'];
if (isset($_POST['description'])) $description=$_POST['description'];
if (isset($_POST['platform'])) $platform=$_POST['platform'];
if (isset($_POST['languaje'])) $languaje=$_POST['languaje'];
if (isset($_POST['application'])) $application=$_POST['application'];

$error=0;

//No se han completado todos los campos
if (($name=="") || ($languaje=="") || ($platform=="") || ($application=="")) {
	$mensaje="All obligatory fields must be completed";
	$error=1;
}
else if (ereg("[\\/:*?\"<> |]", $name) == TRUE) {
	$mensaje="The name of the project is incorrect.<BR><BR>Please, don't use: \,/,:,*,?,\",<,>, ,|";
	$error=1;
}
//El formulario est correctamente rellenado
else {
	//Recogemos los datos de conexion de la base de datos
	require('../connect_config.php');

	//Establecemos la conexion con el servidor
	$conexion=mysql_connect($db_host,$db_user,$db_password);

	//Asignamos la conexin a una base de datos determinada
	mysql_select_db($db_name,$conexion);

	//Buscamos el usuario
	//session_start();
	$user=$_SESSION['s_user'];

	//Preparamos los datos para almacenarlos correctamente en el BBDD
	$name=strtolower($name);

	//Recogemos en una variable el nombre de la TABLA
	$tabla="projects";

	//Aadimos el nuevo registro
	mysql_query("INSERT $tabla (user,name,description,languaje,platform, application)
				 VALUES ('$user','$name','$description','$languaje','$platform', '$application')",$conexion);
			 
	//Comprobamos el resultado de la insercion
	//el error CERO significa NO ERROR
	//el error 1062 significa Clave duplicada
	//en otros errores forzamos a que nos ponga el nmero de error
	//y el significado de ese error (aunque sea en ingles)....
	if (mysql_errno($conexion)==0) {
		//Creamos el directorio del usuario
		mkdir("../users/$user/$name", 0775);
		mkdir("../users/$user/$name/.backups", 0775);
		
		//Indicamos que no ha habido errores
		$error=0;
	}
	else {
		if (mysql_errno($conexion)==1062){
			$mensaje='There is another project with this "'.$name.'" project name';
			$error=1;
		}
		else { 
			$numerror=mysql_errno($conexion);
        	$descrerror=mysql_error($conexion);
        	$mensaje="Error n $numerror: $descrerror <br>";
			$error=1;
	    }
	}

	//Cerramos la conexion
	mysql_close(); 
} 
?>

<table width="780" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td colspan="5" height="25"></td>
  </tr>
  <tr>
    <td width="19" valign="top"></td>
    <td width="244" height="72" valign="top">
	<?php
	//Creamos la tabla de las opciones de la izquierda
	if ($error!=1) {
    	include("menu_projects.php");
	}
	else {
		echo '<img src="../images/logo_projects.png" width="105" height="119" alt="My Projects">
	  		  <br>
		      <font class="Estilo2">My Projects</font>';
	}
	?>
    </td>
    <td width="1" bgcolor="#333333"></td>
    <td width="46" valign="top"></td>
    <td width="*" valign="top"><br>
    <p>
	<?php
	//Devolvemos el mensaje de error correspondiente
	if ($error==1) {
		echo '<span class="Estilo9">Sorry, there are errors in the form</span><br>';
		echo '<p class="Estilo12">'.$mensaje.'</p>';
		echo '<p><input type="button" name="Back" value="Back" onClick="enviar()")"></p>';
	}
	else {
		echo '<span class="Estilo9">Congratulations!</span>';
		echo '<p class="Estilo12">Your new project have been created successfully</p>';
	}
	?> 
	</td>
  </tr>
  <tr>
    <td colspan="5" height="25"></td>
  </tr>
</table>
<form name="form1" method="POST" action="new_project.php">
	<input type="hidden" name="name" value="<?php echo $name ?>">
	<input type="hidden" name="description" value="<?php echo $description ?>">
	<input type="hidden" name="platform" value="<?php echo $platform ?>">
	<input type="hidden" name="languaje" value="<?php echo $languaje ?>">
	<input type="hidden" name="application" value="<?php echo $application ?>">
</form>


<?php
	include("foot_project.php")
?>

</body>
</html>
